A proposal to better random number generation #62

Open
wants to merge 1 commit into
from

3 participants

@skoba

1) added dependent rake to forgery.gemspec
2) Range.random spec changed as #61

@brandonarbini

This is cool if we're willing to drop < 1.9. @nate? @kiela?

@kiela
Sevenwire member

Although Ruby 1.8.7 is retired for some time already, security patches for 1.8.7 and 1.9.2 are maintained till June 2014. I think that we can drop support for 1.8.7 and 1.9.2 once Ruby Team stops fully support them. At that point, we could also start thinking about deprecating 1.9.3

@kiela kiela closed this May 12, 2014
@kiela kiela reopened this May 12, 2014
@brandonarbini

Sounds like a plan.

@kiela
Sevenwire member

@brandonarbini Sure, I will work on this and make a PR, so someone can make a code review of my changes before releasing next version.

@brandonarbini

Excellent. Thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment